Bug 1430623 - pthread mutexes and condition variables are not destroyed
Summary: pthread mutexes and condition variables are not destroyed
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: GlusterFS
Classification: Community
Component: core
Version: mainline
Hardware: All
OS: All
low
low
Target Milestone: ---
Assignee: Anoop C S
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-09 07:12 UTC by Anoop C S
Modified: 2020-03-12 14:49 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-12 14:49:25 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Gluster.org Gerrit 23832 0 None Open transport/socket: destroy notify mutex and condition variable 2019-12-31 05:40:00 UTC

Description Anoop C S 2017-03-09 07:12:44 UTC
Description of problem:
There are places in code where we fail to destroy already initialized pthread mutexes and condition variabales. This bug is to track those and fix it so that every pthread_mutex_init/pthread_cond_init would have a corresponding pthread_mutex_destroy/pthread_cond_destroy respectively.

Comment 1 Worker Ant 2017-03-09 07:13:27 UTC
REVIEW: https://review.gluster.org/16875 (storage/posix: Destroy pthread mutexes and cond variables in fini()) posted (#1) for review on master by Anoop C S (anoopcs@redhat.com)

Comment 2 Worker Ant 2017-03-20 13:22:46 UTC
REVIEW: https://review.gluster.org/16875 (storage/posix: Destroy pthread mutexes and cond variables in fini()) posted (#2) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 3 Worker Ant 2017-03-28 07:10:37 UTC
REVIEW: https://review.gluster.org/16875 (storage/posix: Destroy pthread mutexes and cond variables in fini()) posted (#3) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 4 Worker Ant 2017-03-28 07:14:25 UTC
REVIEW: https://review.gluster.org/16875 (storage/posix: Destroy pthread mutexes and cond variables in fini()) posted (#4) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 6 Worker Ant 2019-12-09 10:21:23 UTC
REVIEW: https://review.gluster.org/23832 (transport/socket: destroy notify mutex and condition variable) posted (#1) for review on master by None

Comment 7 Worker Ant 2019-12-31 05:40:01 UTC
REVIEW: https://review.gluster.org/23832 (transport/socket: destroy notify mutex and condition variable) merged (#4) on master by Amar Tumballi

Comment 8 Worker Ant 2020-03-12 14:49:25 UTC
This bug is moved to https://github.com/gluster/glusterfs/issues/1071, and will be tracked there from now on. Visit GitHub issues URL for further details


Note You need to log in before you can comment on or make changes to this bug.